---
- name: Install pre-requisite packages
  ansible.builtin.apt:
    name: "{{ deb_pkgs }}"
    state: present
    update_cache: true

- name: Install kubernetes repository
  block:
    - name: Add kubernetes gpg repo
      ansible.builtin.apt_key:
        url: https://packages.cloud.google.com/apt/doc/apt-key.gpg
        keyring: /etc/apt/trusted.gpg.d/cgoogle.gpg

    - name: Add kubernetes repo to debian repo list
      ansible.builtin.apt_repository:
        repo: "deb http://apt.kubernetes.io/ kubernetes-xenial main"
        state: present

- name: Install packages
  ansible.builtin.apt:
    name:
      - kubelet
      - kubeadm
      - kubectl
    state: present
    update_cache: true

- name: Copy k8s kernel modules file
  ansible.builtin.copy:
    src: etc-modules-load_d-k8s.conf
    dest: /etc/modules-load.d/k8s.conf
    mode: "0755"

- name: Copy Kubernetes sysctl file
  ansible.builtin.copy:
    src: etc-sysctl_d-kubernetes.conf
    dest: /etc/sysctl.d/kubernetes.conf
    mode: "0755"
